[Monetdb-developers] Cubulus OLAP tuning advice & building Monet on OS X fails

Niels Nes Niels.Nes at cwi.nl
Mon May 14 07:47:42 CEST 2007


On Mon, May 14, 2007 at 12:24:49AM +0300, Alexandru Toth wrote:
> Yes:
> 
> 
> swig -version
> 
> SWIG Version 1.3.27
> Copyright (c) 1995-1998
> University of Utah and the Regents of the University of California
> Copyright (c) 1998-2005
> University of Chicago
> Compiled with /usr/bin/g++-4.0 [powerpc-apple-darwin8.8.0]
That should do fine.

In my linux version if python and swig are found by configure it builds
the MonetSQLdb python module. It however doesn't install in the python
path (as that would require root rights, which we cannot assume).
Therefor we install it under $prefix, in a directory 
lib64/python2.4/site-packages/. I set my PYTHONPATH using

export PYTHONPATH=$prefix/`python -c 'import distutils.sysconfig; print distutils.sysconfig.get_python_lib(0,0,"")'`

Niels
> 
> 
> -----
> 
> which swig
> /opt/local/bin//swig
> 
> 
> BR Alex
> 
> On May 14, 2007, at 12:19 AM, Niels Nes wrote:
> 
> >On Mon, May 14, 2007 at 12:07:04AM +0300, Alexandru Toth wrote:
> >>
> >>   Hello,
> >>
> >>   After  removing  the  extra  Python  versions  from  the PATH,
> >>   monetdb-install.sh runs without errors. But there is no  
> >>MonetSQLdb ,
> >>   so   I   started   ./configure;make;sudo   make   install   in
> >>   MonetDB-Venus-SuperBall-SR1/MonetDB-client/clients
> >
> >Do you also have swig installed?
> >
> >Niels
> >>
> >>   Result is the same:
> >>
> >>   -MonetSQLdb  is not deployed to Mac OS X 10.4 default python's
> >>   site-packages
> >>
> >>   -in
> >>   MonetDB-Venus-SuperBall-SR1/MonetDB-client/clients/src/python/ 
> >>Cimpl
> >>   there is a folder called import MonetSQLdb, so start python there,
> >>   type "import MonetSQLdb". Error message is:
> >>
> >>   macu:~/Desktop/clients/src/python/Cimpl alex$ python
> >>
> >>   Python 2.3.5 (#1, Mar 20 2005, 20:38:20)
> >>
> >>   [GCC 3.3 20030304 (Apple Computer, Inc. build 1809)] on darwin
> >>
> >>   Type  "help",  "copyright",  "credits"  or  "license" for more
> >>   information.
> >>
> >>>>>import MonetSQLdb
> >>
> >>   Traceback (most recent call last):
> >>
> >>     File "<stdin>", line 1, in ?
> >>
> >>     File "MonetSQLdb/__init__.py", line 45, in ?
> >>
> >>       from CMapi import *
> >>
> >>     File "CMapi.py", line 17, in ?
> >>
> >>       import MapiLib
> >>
> >>     File "MapiLib.py", line 5, in ?
> >>
> >>       import _MapiLib
> >>
> >>   ImportError: No module named _MapiLib
> >>
> >>>>>^D
> >>
> >>   macu:~/Desktop/clients/src/python/Cimpl alex$ ls
> >>
> >>   CMapi.py        Makefile.am     MapiLib.py      MapiLib.pyc
> >>
> >>   CMapi.pyc       Makefile.in     MapiLib.py.c    MonetSQLdb
> >>
> >>   Makefile        Makefile.msc    MapiLib.py.i    README
> >>
> >>   macu:~/Desktop/clients/src/python/Cimpl alex$ ls MonetSQLdb/
> >>
> >>   Makefile                __init__.py             monetexceptions.py
> >>
> >>   Makefile.am             __init__.pyc            times.py
> >>
> >>   Makefile.in             converters.py
> >>
> >>   Makefile.msc            cursors.py
> >>
> >>   On Windows I did the same: copy manuallyMonetSQLdb to site- 
> >>packages,
> >>   and add the missing *.py and *.pyc files from all  folders into
> >>   MonetSQLdb until import stopped complaining. However, on Mac can't
> >>   figure all the _ files, so I've got a Monet server + SQL  
> >>client, but
> >>   no python library. Please advice.
> >>
> >>   BR Alexandru
> >>
> >>   On May 9, 2007, at 10:33 AM, Fabian Groffen wrote:
> >>
> >>   On 09-05-2007 10:28:02 +0300, Alexandru Toth wrote:
> >>
> >>      Hello,
> >>
> >>      True, Python 2.4 and 2.5 were installed from Darwinports.
> >>
> >>      Where to configure which Python to use in MonetDB build?  
> >>Builtin
> >>
> >>      Python2.3 would be ok. Or, just remove extra Pythons from  
> >>PATH ?
> >>
> >>   Only the latest install script has support for giving configure
> >>   extra
> >>
> >>   options.  In your case I would opt for removing DP from your
> >>
> >>   environment, however, then the build will fail because you miss  
> >>the
> >>
> >>   functionality provided by DP.  In my opinion, DP fails here,  
> >>because
> >>   it
> >>
> >>   doesn't help you here, like it should.  Anyway.  In my own work  
> >>this
> >>
> >>   whould have worked, here you probably need some LDFLAGS hackery to
> >>   point
> >>
> >>   to your DP offset.  LDFLAGS="-L/path/to/lib".  Maybe that helps
> >>   here.
> >>
> >>      There was another error of missing gawk in the main build  
> >>script
> >>
> >>      (Python client makefile looks for awk gawk nawk..), and sed
> >>
> >>      complaining about unsupported --version
> >>
> >>   The error handler calls various tools with --version.  If that  
> >>fails
> >>   we
> >>
> >>   basically already know enough.  In your case here, this is not
> >>
> >>   important.
> >
> >-- 
> >
> >Niels Nes, Centre for Mathematics and Computer Science (CWI)
> >Kruislaan 413, 1098 SJ Amsterdam, The Netherlands
> >room C0.02,  phone ++31 20 592-4098, fax ++31 20 592-4312
> >url: http://www.cwi.nl/~niels   e-mail: Niels.Nes at cwi.nl

-- 

Niels Nes, Centre for Mathematics and Computer Science (CWI)
Kruislaan 413, 1098 SJ Amsterdam, The Netherlands
room C0.02,  phone ++31 20 592-4098, fax ++31 20 592-4312
url: http://www.cwi.nl/~niels   e-mail: Niels.Nes at cwi.nl




More information about the developers-list mailing list